"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_es = require("../../../../inherits-browser/dist/index.es.js");
const CommandInterceptor = require("../../command/CommandInterceptor.js");
function r(e, m) {
  m.invoke(CommandInterceptor.default, this), this.executed(function(o) {
    var t = o.context;
    t.rootElement ? e.setRootElement(t.rootElement) : t.rootElement = e.getRootElement();
  }), this.revert(function(o) {
    var t = o.context;
    t.rootElement && e.setRootElement(t.rootElement);
  });
}
index_es.default(r, CommandInterceptor.default);
r.$inject = ["canvas", "injector"];
exports.default = r;
